/**
 * 小程序端  孵化器入口 提醒路由
 */


import * as asyncHandler from 'express-async-handler';
import * as remindBiz from '../../biz/mobileFuHuaQi/fuHuaQi/remind';
import { checkFuHuaQiToken } from '../../middleware/user';

export function setRouter(httpServer) {
    /**我的数据展示 */
    httpServer.post('/fuhuaqi/remind/dataimprovement', checkFuHuaQiToken, asyncHandler(dataImprovement));
}


/**
 * 数据完善提醒列表
 * @param req 
 * @param res 
 */
async function dataImprovement(req, res) {
    const Uscc = req.headers.uscc;

    let monthInfo = await remindBiz.getDataImprovementList(Uscc);
    res.success(monthInfo);
}